### v4.9.6
#### 28.10.2024

1. [](#bugfix)
   * MailBeez Image engine: invalid image url causes infinite loop

### v4.9.5
#### 25.10.2024

1. [](#improved)
   * PHP 8.3 compatibility
   * improved SiteZen.io Connector

### v4.9.4
#### 23.10.2024

1. [](#improved)
   * PHP 8.3 compatibility
   * improved SiteZen.io Connector

### v4.9.3
#### 22.10.2024

1. [](#improved)
   * PHP 8.3 compatibility
1. [](#bugfix)
   * Shoprating module: order id is not pre-filled in review form

### v4.9.2
#### 10.09.2024

1. [](#improved)
   * PHP Version check in installer/updater

### v4.9.1
#### 10.09.2024

1. [](#improved)
   * PHP 8.3 compatibility

### v4.9.0
#### 09.09.2024

1. [](#new)
   * next release will require PHP7.3+

### v4.8.27
#### 09.09.2024

1. [](#improved)
   * PHP 8.3 compatibility
1. [](#bugfix) 
   * Image engine: custom urls with query strings are not working

### v4.8.26
#### 21.08.2024

1. [](#improved)
   * PHP 8 compatibility


### v4.8.25
#### 20.08.2024

1. [](#bugfix)
   * Background-Colors set in visual editor are not shown in email

### v4.8.24
#### 18.08.2024

1. [](#improved)
   * PHP 8 compatibility
   * improved SiteZen.io Connector

### v4.8.23
#### 14.07.2024

1. [](#improved)
   * PHP backward compatibility

### v4.8.22
#### 12.07.2024

1. [](#improved)
   * SiteZen.io Connector for Beta-User
     
### v4.8.21
#### 12.07.2024

1. [](#improved)
   * PHP backward compatibility
     
### v4.8.20
#### 11.07.2024

1. [](#new)
   * SiteZen.io Connector for Beta-User
   * ZenCart 2.0 support
1. [](#improved)
   * PHP 8 compatibility
   * new default email header logo

### v4.8.18a
#### 15.04.2024

1. [](#bugfix)
   * Call to a member function restart() on null

### v4.8.17
#### 10.04.2024

1. [](#improved)
   * avoid triggering of SQL error on GX3 and modified-shop
1. [](#bugfix)
   * sending test-mail triggers lock

### v4.8.16
#### 03.04.2024

1. [](#new)
   * image engine supports "Curl error: error:0A000458:SSL routines::tlsv1 unrecognized name" situation on outdated servers
   * process control can no longer be disabled
   * atomic lock for sending process to support high performance configurations
1. [](#improved)
   * PHP 8 compatibility
   * zencart 1.5 backwards compatibility
   * framework refactoring

### v4.8.15
#### 26.02.2024

1. [](#improved)
   * PHP 8 compatibility refactoring Bounce handler

### v4.8.14
#### 23.02.2024

1. [](#improved)
   * optimized data cache handling

### v4.8.13
#### 12.02.2024

1. [](#bugfix)
   * settings reset in Shoprating Module


### v4.8.12
#### 12.02.2024

1. [](#improved)
   * support for Modified-Shop V3
   * PHP8.2 refactoring
   * reduced connection timeout when testing SMTP connection
2. [](#bugfix)
   * content not shown in Shoprating Module


### v4.8.11
#### 01.02.2024
1. [](#improved)
   * Shoprating Module by web4design compatible with PHP8.2


### v4.8.10
#### 29.01.2024
1. [](#bugfix)
   * clicktracker does not record open events


### v4.8.9
#### 27.01.2024
1. [](#bugfix)
   * invalid path to phpmailer when switching to SMTP

### v4.8.8
#### 26.01.2024
1. [](#bugfix)
   * invalid calculation of relevant customers

### v4.8.7
#### 23.01.2024
1. [](#improved)
   * PHP8.2 refactoring

### v4.8.5
#### 23.01.2024
1. [](#new)
   * support required list-unsubscribe headers for gmail and yahoo when using SMTP or MailBeez.Email as Email-Engine
   * automatic connection test for Email-Engine SMTP and MailBeez.Email
2. [](#improved)
   * PHP8.2 refactoring

### v4.8.4
#### 15.11.2023
1. [](#improved)
   * clicktracker data processing
   * compability with modified-shop addons
   * refactoring

### v4.8.3
#### 25.09.2023
1. [](#improved)
   * support for .webp product images
   * support for mixed filenames like 'product%20(1).jpg'
   
### v4.8.2
#### 22.09.2023
1. [](#improved)
   * module and analytics perfomance

### v4.8.1
#### 20.09.2023
1. [](#improved)
   * analytics perfomance

### v4.8.0
#### 20.09.2023
1. [](#improved)
   * Framework enhancements
   * PHP8 compatibility refactoring
   * perfomance

### v4.7.21
#### 27.07.2023
1. [](#improved)
   * PHP8 compatibility refactoring

### v4.7.20
#### 27.07.2023
1. [](#improved)
   * PHP8 compatibility refactoring

### v4.7.19
#### 14.07.2023
1. [](#improved)
   * PHP8 compatibility refactoring

### v4.7.18
#### 27.06.2023
1. [](#improved)
   * PHP8 compatibility refactoring

### v4.7.17
#### 13.06.2023
1. [](#improved)
   * php backward compatibility
   
### v4.7.16
#### 12.06.2023
1. [](#improved)
   * Gambio backwards compatibility

### v4.7.15
#### 12.06.2023
1. [](#improved)
   * Gambio Cloud compatibility
   
### v4.7.14
#### 07.06.2023
1. [](#improved)
   * Framework enhancements
1. [](#bugfix)
   * no notification for shopvote reviews in CRM pad

### v4.7.13
#### 15.05.2023
1. [](#improved)
   * Framework enhancements
   * PHP8.2 compatiblity refactoring


### v4.7.12a
#### 02.05.2023
1. [](#improved)
   * maintainance version to update installer

### v4.7.12
#### 27.04.2023
1. [](#improved)
   * PHP8.2 compatiblity refactoring
   * GX4.8 compatibility
   
### v4.7.11
#### 29.03.2023
1. [](#bugfix)
   * empty languageId in Session after test-mail through newsletter advanced module on campaign level
   
### v4.7.10
#### 28.03.2023
1. [](#improved)
   * Smarty 2 backwards compatibility (modified-shop user: please configure Smarty 4 for PHP8)
   * framework refactoring

### v4.7.9
#### 27.03.2023
1. [](#improved)
   * customer insight order summary view
   * PHP8.2 compatiblity refactoring

### v4.7.8
#### 24.03.2023
1. [](#improved)
   * PHP8.2 compatiblity refactoring

### v4.7.7
#### 23.03.2023
1. [](#improved)
   * PHP8.2 compabitility
   * re-enable core update on gambiocloud
2. [](#bugfix)
   * image height forced to 100% causes issues

### v4.7.6
#### 21.03.2023
1. [](#new)
   * support for custom analytics url parameter

### v4.7.5
#### 16.03.2023
1. [](#bugfix)
   * since 4.7.0 notifications for e.g. reviews are no longer showing up in CRM pad

### v4.7.4
#### 14.03.2023
1. [](#improved)
   * PHP8.2 compabitility
   * framework enhancements
2. [](#bugfix)
   * error mysqli_result object is already closed

### v4.7.3
#### 08.03.2023
1. [](#improved)
   * GUI
   * framework enhancements

### v4.7.2
#### 06.03.2023
1. [](#improved)
   * update cloudloader
   * force encoding of txt body

### v4.7.1
#### 06.03.2023
1. [](#improved)
   * PHP8.2 compatiblity refactoring

### v4.7.0
#### 02.03.2023
1. [](#new)
   * Revenue per Email in MailBeez Analytics
1. [](#improved)
   * PHP8.1, PHP8.2 compatiblity
   * Customer Insight shows Bounce-Status and list of Bounces
   * Support for Image Path containing following characters: /()

### v4.6.3
#### 15.02.2023
1. [](#improved)
   *  minor framework stability updates


### v4.6.2
#### 10.02.2023
1. [](#improved)
   * framework updates to support PHP8.2


### v4.6.1
#### 08.02.2023
1. [](#improved)
   * support for server memory setting using G instead of M
   * support for Zencart
2. [](#bugfix)
   * non-blockable system type modules are blocked
   
### v4.6.0
#### 07.02.2023
1. [](#improved)
   * PHP8.1 compatibility refactoring finalized

### v4.5.19
#### 06.02.2023
1. [](#improved)
   * framework enhancements
2. [](#bugfix)
   * warning from shopvoting with missing language configuration

### v4.5.18
#### 25.01.2023
1. [](#improved)
   * framework enhancements
2. [](#bugfix)
   * invalid warning
 
### v4.5.17
#### 28.11.2022
1. [](#improved)
   * PHP8.1 refactoring
2. [](#bugfix)
   * loyalty-o-graph does not automatically load
   * maibeez_cache unlink() warning
 
### v4.5.16
#### 25.11.2022
1. [](#improved)
   * PHP8.1 refactoring
   
### v4.5.15
#### 24.11.2022

1. [](#improved)
   * PHP8.1 refactoring
2. [](#bugfix)
   * pro update does not work on PHP8.1
   
### v4.5.14
#### 22.11.2022

1. [](#bugfix)
   * PHP8.1 deprecated warning

### v4.5.13
#### 21.11.2022

1. [](#bugfix)
   * unwanted request to bounce handler
   
### v4.5.12
#### 21.11.2022

1. [](#bugfix)
   * Call to undefined function mh_cfg() in frontend when using shopvoting widget

### v4.5.11
#### 18.11.2022

1. [](#bugfix)
   * Call to undefined function mh_cfg() in frontend when using shopvoting widget


### v4.5.10
#### 16.11.2022

1. [](#improved)
   * MailBeez.Email bounce handling improved behaviour on PHP7

### v4.5.9
#### 16.11.2022

1. [](#improved)
   * MailBeez.Email bounce handling


### v4.5.8
#### 15.11.2022

1. [](#bugfix)
   * invalid configuration settings on new installation of modules

### v4.5.7
#### 11.11.2022

1. [](#improved)
   * Gambio GX4.7 support

### v4.5.5
#### 09.11.2022

1. [](#improved)
   * Zencart 1.5.8 support

### v4.5.4
#### 04.11.2022

1. [](#improved)
   * GX4 backwards compatiblity
   
### v4.5.3
#### 04.11.2022

1. [](#bugfix)
   * creation of GX4 admin permission fails for shops with custom languages 

### v4.5.2
#### 04.11.2022

1. [](#improved)
   * PHP8.1 compatibility refactoring

### v4.5.1
#### 03.11.2022

1. [](#bugfix)
   * white page after update due to blank line

### v4.5.0
#### 03.11.2022

1. [](#improved)
   * PHP8.1 compatibility refactoring
   * Support for MailBeez.Email
   * deprecation of N2Go as email sender
   * support for new GX4 admin permissions
1. [](#bugfix)
   * fixed empty notification list in CRM pad
   * fixed frontend errors on zencart when shopvoting widget installed
 



### v4.4.6
#### 07.10.2022

1. [](#improved)
   * Framework enhancements
   * PHP8 compatibility
1. [](#bugfix)
   * fixed performance regression introduced with v4.4.0
   * missing back button label

### v4.4.5
#### 15.09.2022

1. [](#improved)
   * Framework enhancements
   * Getting ready for mailbeez.email EDS
   * deprecate GA Dashboard Widget
   
### v4.4.4
#### 03.07.2022

1. [](#bugfix)
   * PHP Error on Zencart

### v4.4.3
#### 30.06.2022

1. [](#bugfix)
   * PHP Error on Zencart


### v4.4.2
#### 29.06.2022

1. [](#bugfix)
   * Missing Language Resource for Edit Button


### v4.4.1
#### 29.06.2022

1. [](#bugfix)
   * Error in Visual Editor


### v4.4.0
#### 28.06.2022

1. [](#improved)
   * Modified 2.0.7 compatibility (PHP7.4, Smarty 3)
   * PHP8 compatibility refactoring (Smarty 4)



### v4.3.22
#### 25.03.2022

2. [](#bugfix)
   * broken icons on modified-shop
   * missing block date column in list export 

### v4.3.21
#### 24.11.2021

1. [](#improved)
   * Gambio GX4.5.1.0 compatibility

### v4.3.20
#### 23.11.2021

1. [](#improved)
   * Gambio GX4.5.1.0 compatibility
   
### v4.3.19
#### 22.11.2021

1. [](#improved)
   * Gambio GX4.5.1.0 compatibility

### v4.3.18
#### 13.10.2021

1. [](#improved)
   * zencart 1.5.7 compatibility
   
### v4.3.17
#### 20.09.2021

1. [](#improved)
   * zencart compatibility
   
### v4.3.16
#### 18.07.2021

1. [](#improved)
   * PHP7 compatibility
   
### v4.3.15
#### 12.07.2021

1. [](#bugfix)
   * illegal string offset "email_address"
   
### v4.3.14
#### 06.07.2021

1. [](#improved)
   * added a message to select a module when opening a tab
   
### v4.3.13
#### 07.06.2021

1. [](#improved)
   * @members.ebay.com email addresses are excluded from customer count
   * improved default exclusion of certain email domains
   
### v4.3.12b
#### 02.06.2021

1. [](#bugfix)
   * BeezDesk Customer Insight does not find customer
   
### v4.3.12a
#### 31.05.2021

1. [](#improved)
   * refactoring
   * modifiedShop 2.0.6 compatibility
   

### v4.3.12
#### 17.05.2021

1. [](#improved)
   * refactoring
   * PHP7.4 compatibility  
   * modifiedShop 2.0.6 compatibility
   


### v4.3.11b
#### 03.05.2021

1. [](#bugfix)
   * black image generated by image engine with image sub folders

### v4.3.11a
#### 29.04.2021

1. [](#improved)
   * mySql8 compatibility
   * Gambio Cloud compatibility
   
### v4.3.11
#### 29.03.2021

1. [](#improved)
   * coupon statistic calculation
   * refactoring
   
   
### v4.3.10g
#### 05.03.2021

1. [](#improved)
   * GambioCloud compatibility

### v4.3.10f
#### 05.03.2021

1. [](#improved)
   * ZenCart 1.5.7 compatibility


### v4.3.10e
#### 24.02.2021

1. [](#improved)
   * GambioCloud compatibility

### v4.3.10d
#### 24.02.2021

1. [](#improved)
   * GambioCloud compatibility

### v4.3.10c
#### 12.02.2021

1. [](#improved)
   * Gambio 4.2+ compatibility

### v4.3.10b
#### 12.02.2021

1. [](#improved)
   * Gambio 4.2+ compatibility


### v4.3.10a
#### 11.02.2021

1. [](#improved)
   * Gambio 4.2+ compatibility

### v4.3.10
#### 11.02.2021

1. [](#improved)
   * Gambio 4.2+ compatibility


### v4.3.9c
#### 10.02.2021

1. [](#improved)
   * GambioCloud compatibility

### v4.3.9b
#### 10.02.2021

1. [](#improved)
   * GambioCloud compatibility


### v4.3.9a
#### 10.02.2021

1. [](#improved)
   * GambioCloud compatibility


### v4.3.9
#### 10.02.2021

1. [](#improved)
   * GambioCloud compatibility
   * ZenCart 1.5.7 compatibility
   


### v4.3.8
#### 25.01.2021

1. [](#bugfix)
   * broken image urls on ZenCart 1.5.7


### v4.3.7
#### 12.01.2021

1. [](#improved)
   * Gambio 4.2+ disable removal of configuration/CLOUDLOADER_% entry


### v4.3.6
#### 12.01.2021

1. [](#improved)
   * Gambio 4.2+ compatibility

### v4.3.5
#### 15.12.2020

1. [](#improved)
   * support for non-url characters in image filenames


### v4.3.4
#### 14.12.2020

1. [](#improved)
   * customer group settings can be opened from module configuration

### v4.3.3
#### 14.12.2020

1. [](#improved)
   * customer group settings can be opened from module configuration


### v4.3.2
#### 23.11.2020

1. [](#improved)
    * support for improved newsletter workers



### v4.3.1
#### 16.11.2020

1. [](#improved)
    * GX4 v4.3+ compatibility
    * ZenCart 1.5.7 compatibility


### v4.3.0
#### 23.10.2020

1. [](#improved)
    * GX4 v4.2+ compatibility

### v4.2.9
#### 13.10.2020

1. [](#improved)
    * ZenCart 1.5.7 compatibility
    

### v4.2.8
#### 02.10.2020

1. [](#improved)
    * ZenCart 1.5.7 compatibility
    



### v4.2.7
#### 18.09.2020

1. [](#improved)
    * GX4 v4.3.1 compatibility
    


### v4.2.6
#### 17.09.2020

1. [](#bugfix)
    * PHP7.4 compatibility issue
    

### v4.2.5
#### 11.09.2020

1. [](#bugfix)
    * coupon analytics not updated on PHP7.4
    
### v4.2.4
#### 03.09.2020

1. [](#bugfix)
    * system check link opens in new window
    
1. [](#improved)
    * GX4.1 compatibility

### v4.2.3
#### 25.08.2020

1. [](#bugfix)
    * undefined language strings are shown


### v4.2.2
#### 17.08.2020

1. [](#bugfix)
    * php compatibility warning
    * broken editor view


### v4.2.1
#### 14.08.2020

1. [](#bugfix)
    * GX4.1 compatibility issues

### v4.2.0
#### 27.07.2020

1. [](#improved)
    * PHP compatibility
    * GX4: removed unused xtc_array_to_string
    * Customer Insight compatibility

### v4.1.5
#### 22.06.2020

1. [](#bugfix)
    * PHP compatibility
    
### v4.1.4
#### 10.06.2020

1. [](#bugfix)
    * javascript error in image upload
    

### v4.1.3
#### 09.06.2020

1. [](#bugfix)
    * Gambio GX4.1.1: Statistics Widget not showing on Admin Start
    

### v4.1.2
#### 09.06.2020

1. [](#bugfix)
    * image upload broken in Chrome 
    * error in configuration of beez-o-graph
    


### v4.1.1
#### 25.05.2020

1. [](#bugfix)
    * automatic update of module fails with SQL error
    
    
### v4.1.0
#### 18.05.2020

1. [](#improved)
    * support for inline font colors
    * added telephone to customer view



### v4.0.8
#### 07.05.2020

1. [](#bugfix)
    * error in english language file

### v4.0.7
#### 29.04.2020

1. [](#improved)
    * Smarty compatibility
    * support for Gambio GX4.1+
    
### v4.0.5
#### 22.04.2020

1. [](#improved)
    * Smarty V2 compatibility for modified-shop
    * code optimization

### v4.0.0
#### 21.04.2020

1. [](#improved)
    * framework refactoring
    * updated libraries to latest versions (PHPMailer 6.1.5, Smarty 3.1.34)
    * removed outdated code
    * support for PHP7.4
    * support for Gambio GX4.1+


### v3.9.24
#### 24.03.2020

1. [](#improved)
    * Opt-out link with javascript redirect to avoid opt-outs triggered by bots
    * Opt-out dialog redesign (improved responsiveness, wording, removed bee icon)

### v3.9.23a
#### 05.03.2020

1. [](#bugfix)
    * Shopvote_Widget Warning on modified-shop

### v3.9.23
#### 05.03.2020

1. [](#improved)
    * framework refactoring towards PHP7.4
    
1. [](#bugfix)
    * use of undefined constant warning

### v3.9.22
#### 24.02.2020



1. [](#improved)
    * XSS Hardening to close XSS Vulnerability in installer as reported by usd.de


### v3.9.21c
#### 20.12.2019

1. [](#bugfix)
    * SQL error on Zencart


### v3.9.21b
#### 10.12.2019

1. [](#bugfix)
    * Smarty 2 compatibility issue



### v3.9.21a
#### 09.12.2019

1. [](#bugfix)
    * Smarty 2 compatibility issue



### v3.9.21
#### 27.11.2019

1. [](#improved)
    * Newsletter2Go API Integration updated
    * Newsletter2Go bounces (which include e.g. holiday notifications) are now handled as softbounces
    
1. [](#bugfix)
    * Update Shopvoting Plugin v4.20   



### v3.9.20a
#### 22.11.2019

1. [](#bugfix)
    * Update Shopvoting Plugin v4.19


### v3.9.20
#### 22.11.2019

1. [](#improved)
    * Update Shopvoting Plugin v4.18:
        - Compatibility with new Gambio Theme
        - New basic system for template styles including a new slightly adapted template http://www.web4design.de/module_infos/english/shopreviews/template.php
        - Optional privacy settings (checkbox, privacy text, IP storage). Menu item: Configuration
        - IP addresses can be deleted separately in the ratings. Menu item: Reviews
        - Revision of the Rich Snippets (separate menu item + change to ld+json). Menu item: Rich Snippets
        - Bugfix when saving group permissions (read, write, captcha)

### v3.9.19
#### 21.11.2019

1. [](#improved)
    * KC Finder PHP7 compatibility (__autoload() is deprecated) 


### v3.9.18
#### 21.11.2019

1. [](#improved)
    * Framework enhancements
    * Cleanup: removed outdated PHPMailer package
    * added index for improved performance
    * compatibility for complex locales (e.g. de-CH)


### v3.9.17
#### 21.10.2019

1. [](#new)
    * Support for osCommerce CE Phoenix - https://github.com/gburton/CE-Phoenix


### v3.9.16
#### 18.09.2019

1. [](#improved)
    * PHP7.3 compatibility
    * Gambio 3.14 compatibility

### v3.9.15c
#### 09.08.2019

1. [](#bugfix)
    * Gambio: Warning WARNING(2): "Invalid argument supplied for foreach()" during login



### v3.9.15b
#### 21.02.2019

1. [](#bugfix)
    * Shopvoting module updated to 4.16 with bugfix captcha modified 2.x


### v3.9.15a
#### 18.02.2019

1. [](#bugfix)
    * fixed https issue on ZenCart 1.5.6


### v3.9.15
#### 18.02.2019

1. [](#improved)
    * ZenCart 1.5.6 compatibility


### v3.9.14a
#### 22.12.2018

1. [](#improved)
    * GUI improvements

### v3.9.14
#### 22.12.2018

1. [](#improved)
    * framework enhancements
    * GUI improvements
1. [](#bugfix)
    * white screen on Gambion 2.6


### v3.9.13
#### 14.12.2018

1. [](#improved)
    * framework enhancements
    * GUI improvements

### v3.9.12c
#### 10.12.2018

1. [](#bugfix)
    * customer insight throws error

### v3.9.12b
#### 10.12.2018

1. [](#bugfix)
    * shopvote autologin does not work on zencart
    * image engine does not work on certain server configurations


### v3.9.12a
#### 07.12.2018

1. [](#bugfix)
    * some CSS missing



### v3.9.12
#### 07.12.2018

1. [](#improved)
    * framework enhancements
    * fresh up design: colors, window



### v3.9.11c
#### 03.12.2018

1. [](#bugfix)
    * api does not work on some server environments


### v3.9.11b
#### 03.12.2018

1. [](#bugfix)
    * re-enabled check cache


### v3.9.11a
#### 03.12.2018

1. [](#bugfix)
    * mh_free for queries causes instable check for tracking potentially introduced with PHP7.1.23


### v3.9.11
#### 02.12.2018

1. [](#improved)
    * framework enhancements
    * updated description for N2Go Integration


### v3.9.10c
#### 08.11.2018

1. [](#improved)
    * Shoprating language menu only shows active languages


### v3.9.10b
#### 07.11.2018

1. [](#improved)
    * framework enhancements

### v3.9.10a
#### 23.10.2018

1. [](#improved)
    * modified-shop 2.x support - page split result support


### v3.9.10
#### 23.10.2018

1. [](#improved)
    * framework enhancements


### v3.9.9
#### 09.10.2018

1. [](#improved)
    * framework enhancements


### v3.9.8f
#### 05.10.2018

2. [](#bugfix)
    * sending process shows warning Couldn't fetch mysqli_result


### v3.9.8e
#### 01.10.2018

2. [](#bugfix)
    * broken Newsletter designer on Modified-Shop 2.0


### v3.9.8d
#### 28.09.2018

2. [](#bugfix)
    * PHP7.2 compatibility issue on Shopvoting page


### v3.9.8c
#### 25.09.2018

2. [](#bugfix)
    * PHP7.2 compatibility issue with while each()
    * filters are not always loaded


### v3.9.8b
#### 24.09.2018

2. [](#bugfix)
    * menue breaks on modified shop


### v3.9.8a
#### 24.09.2018

2. [](#bugfix)
    * invalid function signator for mh_fn()


### v3.9.8
#### 24.09.2018
1. [](#improved)
    * PHP7.2 refactoring
    * framework enhancements
2. [](#bugfix)
    * BeezDesk Customer Insight Order view lists orders with id 0


### v3.9.7
#### 16.07.2018
1. [](#bugfix)
    * session_start(): Cannot send session cookie - headers already sent by... caused by clicktracker


### v3.9.6
#### 06.07.2018
1. [](#bugfix)
    * JavaScript Error in Gambio 3.9+



### v3.9.5
#### 05.07.2018
1. [](#bugfix)
    * Class 'mailbeez_analytics' not found
    * dashboard coupon search widget disappears somehow


### v3.9.4
#### 28.06.2018
1. [](#improved)
    * framework improvements
    * update of framework components (smarty, BS4)


### v3.9.3a
#### 26.05.2018
1. [](#bugfix)
    * PHP compatibility issue


### v3.9.3
#### 25.05.2018
1. [](#bugfix)
    * SQL Error in GDPR Export


### v3.9.2
#### 24.05.2018
1. [](#new)
    * GDPR export framework
1. [](#improved)
    * framework refactoring towards v4
    * analytics for orders placed in simulation mode is reset with "restart simulation"


### v3.9.1
#### 30.04.2018
1. [](#bugfix)
    * fix compatibility

### v3.9.0
#### 30.04.2018
1. [](#improved)
    * framework refactoring towards v4
    * adjusted message regarding Newsletter2Go integration
2. [](#bugfix)
    * smarty error on zencart
    * working in MailBeez might change frontend language in same session


### v3.8.17a
#### 21.03.2018
1. [](#bugfix)
    * layout issue in outlook with live content blocks

### v3.8.17
#### 20.03.2018
1. [](#improved)
    * framework enhancements to support new pro features


### v3.8.16b
#### 13.03.2018
1. [](#bugfix)
    * no content engine preview in test emails

### v3.8.16a
#### 13.03.2018
1. [](#bugfix)
    * invalid oauth connection after initial sign-up

### v3.8.16
#### 09.03.2018
1. [](#improved)
    * wording for pro update button
    * add index to table customer_basket
2. [](#bugfix)
    * fix fcgi image engine rewrite rule
    * zencart: Shopvoting pagination links broken
    * smarty filemtime stat failed warning

### v3.8.15c
#### 28.02.2018

3. [](#bugfix)
    * smarty 3: Declaration of mh_Smarty::getTemplateVars($varname = NULL, Smarty_Internal_Data $_ptr = NULL, $search_parents = true) should be compatible with Smarty_Internal_Data::getTemplateVars($varname = NULL, $_ptr = NULL, $search_parents = true)


### v3.8.15b
#### 28.02.2018

3. [](#bugfix)
    * smarty 2: Argument 2 passed to smarty_function_mailbeez_content_block() must be an instance of Smarty_Internal_Template, instance of mh_Smarty given



### v3.8.15a
#### 26.02.2018

3. [](#bugfix)
    * GUI: complex modules with same sort order getting mixed up in overview


### v3.8.15
#### 19.02.2018

2. [](#improved)
    * framework enhancements to support the new abandonend cart module


### v3.8.14a
#### 02.02.2018

3. [](#bugfix)
    * groupfilter check does not apply for newsletter module


### v3.8.14
#### 01.02.2018

1. [](#new)
    * performance information in email generation view
2. [](#improved)
    * framework enhancements
    * improved performance, reduced memory load
    * php-fcgi support for image engine, fixes rewrite rule issue "no input file specified."
3. [](#bugfix)
    * product link broken


### v3.8.13
#### 26.01.2018

1. [](#new)
    * preview data (Name etc) can be configured in MailBeez > configuration > preview data
2. [](#improved)
    * shopvoting page navigation supports zencart with SEO addon
    * framework enhancements
    * php-fcgi support for image engine, fixes rewrite rule issue "no input file specified."
3. [](#bugfix)
    * opt-out link redirects to empty page

### v3.8.12
#### 23.01.2018

1. [](#improved)
    * refactoring
    * disable cron_simple and cron_advanced in simulation mode


### v3.8.11b
#### 18.12.2017

1. [](#bugfix)
    * email address containg curly braces break smarty template processing
    * invalid N2Go link in tour
    * image upload fails due to strange php configuration


### v3.8.11a
#### 20.11.2017

1. [](#bugfix)
    * Setup Template tour stops after step 2 on Startup plans


### v3.8.11
#### 16.11.2017

1. [](#improved)
    * Update Shoprating module to support modified-shop v2
    * framework enhancements
1. [](#bugfix)
    * open rate percentage is 0 on some servers


### v3.8.10b
#### 01.11.2017

1. [](#bugfix)
    * invalid path for loading customer insight through admin_integration.php


### v3.8.10a
#### 01.11.2017

1. [](#bugfix)
    * invalid path for loading customer insight

### v3.8.10
#### 01.11.2017
1. [](#improved)
    * Gambio 3.7 compatibility 
    * framework refactoring
    * Modified-Shop 2 compatiblity: shoprating autologin
1. [](#bugfix)
    * invalid app_path in form action


### v3.8.9d
#### 05.10.2017
1. [](#bugfix)
    * invalid app_path in form action


### v3.8.9b
#### 05.10.2017
1. [](#improved)
    * app_path refactoring for clean urls
1. [](#bugfix)
    * duplicate index SQL error


### v3.8.9a
#### 04.10.2017
1. [](#bugfix)
    * Call to undefined method mh_Smarty::registerPlugin()

### v3.8.9
#### 04.10.2017
1. [](#improved)
    * Email-Engine setting to workaround "SSL3_GET_SERVER_CERTIFICATE:certificate verify failed" issue
    * customer insight performance improvements
    * GA configuration settings
    * many smaller framework enhancements
    * improved performance with added index on mailbeez_tracking
    * smarty 3.1.31 refactoring to support Gambio 3.7
1. [](#bugfix)
    * in some environments emogrifier throws warnings
    * dashboard summary causes error on new installations


### v3.8.8
#### 07.08.2017
1. [](#improved)
    * PHP7.1 compatibility
1. [](#bugfix)
    * N2Go V1 invalid gender data 
    * N2Go V2 invalid gender data 


### v3.8.7
#### 13.07.2017
1. [](#improved)
    * PHP7.1 compatibility
1. [](#bugfix)
    * emogrifier error msg
    

### v3.8.6
#### 21.06.2017
1. [](#improved)
    * MailBeez Image Engine default htaccess workaround for 406 error
1. [](#bugfix)
    * Zencart: DB Type not supported
    * DOMXPath::query(): Invalid expression Warning
    * app_path invalid depending on server configuration
    * Sending through N2Go V2 breaks with special characters in Names


### v3.8.5
#### 16.05.2017
1. [](#improved)
    * Modified-Shop 2.0.2 compatibility
    * DB schema for new installations to avoid 1364 - Field doesn't have a default value
1. [](#bugfix)
    * N2Go api service module not installed w/o opening modules tab    
    

### v3.8.4
#### 21.04.2017
1. [](#improved)
    * BeezDesk Customer Insight History view shows more information about opt-outs
    * PHP7.1 compatibility
1. [](#bugfix)
    * System status shows canceled subscriptions
    


### v3.8.3b
#### 14.04.2017
1. [](#bugfix)
    * N2Go V2 default domain contains www.
    * N2Go V1 no open events tracked
    * popup windows are opened twice
    

### v3.8.3a
#### 07.04.2017
1. [](#bugfix)
    * N2Go V2 Thumbnail generator triggers open event    
    
### v3.8.3
#### 06.04.2017
1. [](#new)
    * custom image cache directory mailbeez > configuration > Editor and Image Engine
    * repair / ignore email sending errors
1. [](#improved)
    * framework enhancements
    * clicktracker: zencart compatibility improvement
    * adjusted system limit warning levels
1. [](#bugfix)
    * N2Go V2 Thumbnail generator triggers open event
    

### v3.8.2b
#### 31.03.2017
1. [](#bugfix)
    * white page on Gambio caused by Javascript issue

### v3.8.2a
#### 30.03.2017
1. [](#bugfix)
    * faulty system status
    
### v3.8.2
#### 30.03.2017
1. [](#improved)
    * Newsletter2Go integration
    * status widget warns when sending process never completed
    * warning confirmation before uninstalling modules
    * framework enhancements
1. [](#bugfix)
    * shoprating login causes error on Gambio 3.x
    

### v3.8.1
#### 24.03.2017
1. [](#improved)
    * minor improvements Newsletter2Go integration
1. [](#bugfix)
    * languages other than english, german cause error on dashboard
    
### v3.8.0
#### 24.03.2017

1. [](#new)
    * Dashboard System Status widget giving warnings and alerts with notifications
    * Newsletter2Go V2 Integration to support new Version of Newsletter2Go with Migration support
1. [](#improved)
    * automatic clean up of backup zip archives older than 14 days
    * notification system
    * various framework enhancements
    * PHP7.1 compatibility 

    
### v3.7.4
#### 24.02.2017

1. [](#improved)
    * framework enhancements to support external database connections
    
    
### v3.7.3a
#### 23.02.2017

1. [](#bugfix)
    * visual editor causes admin language switch
    

### v3.7.3
#### 20.02.2017

1. [](#improved)
    * MailBeez Analytics allows to configure order total module for revenue calculation
    * Gambio Admin Layout support
    * MailBeez Image Engine supports specific https setup
    

### v3.7.2
#### 11.02.2017

1. [](#improved)
    * MailBeez Image Engine supports apache 2.4 and cloudflare.com CDN
    
### v3.7.1
#### 10.02.2017

1. [](#bugfix)
    * automatically generated htaccess does contain incorrect path

### v3.7.0
#### 10.02.2017

1. [](#new)
    * MailBeez Image Engine utilized by Pro modules
1. [](#improved)
    * Update to latest PHPMailer 5.2.22 - https://github.com/PHPMailer/PHPMailer/blob/master/SECURITY.md
    * Update of framework libraries
    * Framework enhancements
    * removed limitation of kcfinder to one user only (multiuser support)
    * GUI improvements
1. [](#bugfix)
    * force https for icons in notifications



### v3.6.8
#### 18.01.2017

1. [](#improved)
    * replaced session storage with mh_storage to avoid DB session overload


### v3.6.7b
#### 15.12.2016

1. [](#bugfix)
    * dashboard widgets not loading on some modified-shop installations
    * error in customer insight view orders 


### v3.6.7a
#### 13.12.2016

1. [](#bugfix)
    * text color not rendered correctly
    * empty warning in log

### v3.6.7
#### 09.12.2016

1. [](#new)
    * new Setting Enable Automation in Simulation-Mode
1. [](#improved)
    * compatibility with Modified-Shop 2.0.1
    * framework enhancements
1. [](#bugfix)
    * error in customer insight view orders 

### v3.6.6
#### 05.12.2016

1. [](#improved)
    * enhanced loading speed (asset caching)
    * improved efficency of BeezDesk Customer Insight for shops with deleted guest accounts


### v3.6.5b
#### 01.12.2016

1. [](#improved)
    * framework enhancement: remove empty stylevars

### v3.6.5a
#### 01.12.2016

1. [](#improved)
    * support for new templates
    * backwards compatibility for Gambio GX2

### v3.6.5
#### 01.12.2016

1. [](#improved)
    * framework enhancements to support layout elements and components
1. [](#bugfix)
    * previews are not adopting to language setting

### v3.6.4
#### 18.11.2016

1. [](#improved)
    * support for image picker in product wizard


### v3.6.3
#### 17.11.2016

1. [](#improved)
    * layout
    * rendering timing on Gambio on event JSENGINE_INIT_FINISHED
1. [](#bugfix)
    * issue with template thumbnail generation
    


### v3.6.2
#### 14.11.2016

1. [](#improved)
    * support for email rendering on outlook 
    * zencart: only approved customers are counted
    * compatibility for < PHP5.4
    * replaced confusing certificate message with meaningful information about subscription status
    * framework updates
    * framework improvements (support for thumbnail generation)
1. [](#bugfix)
    * warning for missing resource
    * Gambio admin layout and rendering issues
    

### v3.6.1
#### 05.11.2016
1. [](#bugfix)
    * php compatibility issue on some server environments

### v3.6.0
#### 04.11.2016

1. [](#new)
    * support for improved visual editor (included in any pro plan) supporting complex elements and improved mobile first emails
1. [](#improved)
    * framework enhancements to support complex elements
    * framework updates
    * support for email rendering on outlook 
1. [](#bugfix)
    * warning for missing resource
    
    
### v3.5.14
#### 27.10.2016

1. [](#improved)
    * Modified-Shop 2 support (post security token)
    * framework enhancements to support complex elements
1. [](#bugfix)
    * email archive written even when no email sent


### v3.5.13
#### 17.10.2016

1. [](#bugfix)
    * hardcoded http link to .js file causes mixed content issues on https admin pages


### v3.5.12
#### 17.10.2016

1. [](#improved)
    * prospect support (introducing upper limit for virtual customer id)
    * framework enhancements (support for complex layout elements, )
    * bulletproofing of shopvoting class to avoid errors when MailBeez Core not loaded
    * support for security tokens in zencart and modified-shop
1. [](#bugfix)
    * smarty 2 error on opt-out page


### v3.5.11
#### 10.10.2016

1. [](#improved)
    * prospect support (introducing upper limit for virtual customer id)


### v3.5.10
#### 10.10.2016

1. [](#new)
    * introducing nameBadges in BeezDesk Customer Insight (removing gravatar until someone complains ;) )
1. [](#improved)    
    * navigation in BeezDesk Customer Insight and BeezDesk Dashboard
1. [](#bugfix)
    * MailBeez Analytics Advanced opens in new Tab insteadof overlay window
    * layout issue with status badge on Gambio
    * update message still shows after updating


### v3.5.09
#### 07.10.2016

1. [](#improved)    
    * mailbeez analytics SQL performance on a range of server environments      

### v3.5.08
#### 07.10.2016

1. [](#improved)    
    * mailbeez analytics SQL performance

### v3.5.07
#### 07.10.2016

1. [](#new)
    * customer insight supports prospects (added by MailBeez Newsletter Advanced) 
1. [](#improved)    
    * framework enhancements, layout tweaks
    * improved opt-out dialog
    * added template fields storeowner, storecompany
    * redesigned opt-out pages based on bootstrap
        

### v3.5.06
#### 27.09.2016

1. [](#new)
    * open MailBeez Analytics Pro directly from Dashboard
1. [](#improved)    
    * layout improvements
1. [](#bugfix)
    * daterange enddate of listing report
    * issue with popup pages on modified-shop
    * PHP7 compatibility

### v3.5.05
#### 27.09.2016

1. [](#new)
    * ready for MailBeez Analytics Pro
1. [](#improved)
    * framework enhancements to support MailBeez Analytics Pro
    * static ajax request handling with session_write_close to prevent blocking php requests (http://konrness.com/php5/how-to-prevent-blocking-php-requests/, https://ma.ttias.be/php-session-locking-prevent-sessions-blocking-in-requests/)
    * CRM Pad caching and loading speed of panel widgets for MailBeez Stats and Shopvoting
1. [](#bugfix)
    * dataquality widget not loading on first pageload


### v3.5.04
#### 18.09.2016

1. [](#improved)
    * shopvoting module v4.14
    * framework enhancements to support MailBeez Analytics Pro
1. [](#bugfix)
    * page navigation broke on modified shop


### v3.5.03
#### 13.09.2016

1. [](#improved)
    * PHP7 compatibility
    * framework updates
1. [](#bugfix)
    * Widget Layout fixes

### v3.5.02
#### 12.09.2016

1. [](#improved)
    * Gambio Admin Dashboard Widget: position can be configured
1. [](#bugfix)
    * blank page in MailBeez Editor
    * missing class error on dashboard


### v3.5.01
#### 09.09.2016

1. [](#improved)
    * Gambio Admin Dashboard Widget integration
1. [](#bugfix)
    * MailBeez Analytics default timeframe calculations
    * widget caching

### v3.5.00
#### 09.09.2016

1. [](#new)
    * Gambio 2.3+: Admin Dashboard Widget with summary information    
1. [](#improved)
    * MailBeez Summary dashboard widget
    * framework enhancements
    * update of framework components
    * minor layout changes
1. [](#bugfix)
    * N2Go Bounce with invalid email address causes query issue


### v3.4.21
#### 14.07.2016

1. [](#bugfix)
    * issue with smarty 2.6

### v3.4.20
#### 01.09.2016

1. [](#improved)
    * Shopvoting V4.13 with fixed navigation for zencart and own_language support
    * improved configuration of birthday module
    * framework enhancements to support future pro features
    
### v3.4.19
#### 23.08.2016

1. [](#improved)
    * compatibility with Gambio 3.1 (tested up to 3.1.2)
    * framework enhancements

### v3.4.18
#### 18.08.2016

1. [](#improved)
    * config_email_engine: option to add reply-to header when sending with SMTP-Server

### v3.4.17
#### 15.08.2016

1. [](#improved)
    * shopvoting 4.12 with fixed templatepath to own_box_shopreview.html and own_stylesheetbox.css
    * framework enhancements    


### v3.4.16
#### 14.07.2016

1. [](#bugfix)
    * Admin Menu on some store systems hidden
    
### v3.4.15
#### 14.07.2016

1. [](#bugfix)
    * image editor inserts image dimensions as style breaking 100% width settings
1. [](#improved)
    * support for USE_ADMIN_TOP_MENU on modified-shop    
    
    
### v3.4.14
#### 07.07.2016

1. [](#bugfix)
    * deprecated module filter_layout_optimizer breaks html code
    
    
### v3.4.13
#### 06.07.2016

1. [](#new)
    * sending through SMTP supports email headers: X-Abuse, X-Abuse-Info, X-Report, X-Report-Abuse-To, Abuse-Reports-To, X-Complaints-To
1. [](#improved)
    * framework enhancements
    
    
### v3.4.12
#### 05.07.2016

1. [](#improved)
    * framework enhancements
    * shopvoting 4.10 with PHP7 compatibility
    * text improvements
    * PHP7 refactoring
1. [](#bugfix)
    * fixed issue with configuration settings after using Gambio importer


### v3.4.11
#### 17.06.2016

1. [](#improved)
    * improved support for gambio 3.1 (admin layout paths to legacy JS/CSS)
    * improved support for modified-shop 2.0 (image paths)
1. [](#bugfix)
    * fixed an issue on zencart 1.55 with api calls blocked by sanitizer

### v3.4.10
#### 15.06.2016

1. [](#new)
    * support for Gambio 3+
1. [](#improved)
    * PHP7 refactoring
        
        
### v3.4.9
#### 13.06.2016

1. [](#new)
    * support for preheaders 
1. [](#improved)
    * customer insight performance improvements
    * updated CKEditor to support justification and font colors
    * added codemirror v5 (not compatible with previous integration)
    * all links to mailbeez websites now https
    * new default email header graphic
    * framework enhancements
1. [](#bugfix)
    * fixed issue with setting coupon id in newsletter module 

### v3.4.8
#### 02.06.2016

1. [](#new)
    * module documentation page can be opened inline as all mailbeez pages are loaded through https 
1. [](#improved)
    * layout improvements
    * framework enhancements
1. [](#bugfix)
    * fixed placeholder in /mailhive/mailbeez/shoprating/email/default_body_html.tpl


### v3.4.7
#### 31.05.2016

1. [](#bugfix)
    * fixed issue on some Gambio versions

### v3.4.6
#### 31.05.2016

1. [](#improved)
    * PHP7 refactoring - readded support for PHP4 style constructors for backwards compatibility
1. [](#bugfix)
    * fixed issue of missing constructor methods

### v3.4.5
#### 31.05.2016

1. [](#improved)
    * PHP7 refactoring started
    * removed BETA from tour module
    * fixed typos
    * improved support for Modified-Shop 2.x integration
    * added memtest feature shop-url/mailhive.php?memtest to test for real php memory
    * framework enhancements to support tags
1. [](#bugfix)
    * special chars like <,> in customer name no longer break the sending process

### v3.4.4
#### 02.05.2016

1. [](#new)
    * pre-integration support for Loaded6CE 6.5.3+    
    * pre-integration support for Zencart 1.5.5 DE (www.zen-cart-pro.at)
1. [](#improved)
    * compatibility with Zencart 1.5.5
1. [](#bugfix)
    * issues on Zencart 1.5.5 (saving settings, blank content)


### v3.4.3
#### 25.04.2016

1. [](#improved)
    * Update of Shopvoting-Module for better control of rich snippets to avoid google penalties



### v3.4.2
#### 18.04.2016

1. [](#improved)
    * Update of Shopvoting-Module to avoid google penalties
    * osCommerce Admin Layout enhancements

### v3.4.1
#### 11.04.2016

1. [](#new)
    * Piwik Analytics Integration
    * Econda Analytics Integration
1. [](#improved)
    * Opt-out-Count in Beez-O-Graph now shows unique customers
    * Support for CRE Loaded / LoadedCommerce 6.3 - 6.5
    * Framework enhancements

### v3.4
#### 07.04.2016

1. [](#new)
    * full-width beez-o-graph
1. [](#improved)
    * Gambio 2.7 admin layout fixes
    * Framework enhancements
    * tour module enhancements

    

### v3.3.9-1
#### 07.04.2016

1. [](#improved)
    * support for Gambio 2.6+
    * Framework enhancements    
    * updated shopvoting module to V4.07
1. [](#bugfix)
    * fixed an issue causing running update methods multiple times
    * fixed bug with shopvoting autologin
    


### v3.3.9
#### 31.03.2016

1. [](#improved)
    * support for Zencart 1.5.5
    * CRE Loaded / LoadedCommerce 6.5.3 admin Layout support, https://github.com/loadedcommerce
    * Framework enhancements    
1. [](#bugfix)
    * removed email-addresses from opt-out pages due to exposure in some cases
    

### v3.3.8
#### 18.03.2016

1. [](#improved)
    * Gambio 2.7 Admin Layout
    * Framework enhancements    


### v3.3.7-1
#### 14.03.2016

1. [](#bugfix)
    * fixed issue with PHPMailer update  
   
    
### v3.3.7
#### 13.03.2016

1. [](#bugfix)
    * fixed issue with PHPMailer update

### v3.3.6
#### 09.03.2016

1. [](#new)
    * auto-expiration of notifications
1. [](#improved)
    * Updated PHPMailer Class to 5.2.14 (PHP5.6 compatibility) https://github.com/PHPMailer/PHPMailer/
    * renamed Email Engine setting PHPMailer to SMTP
    * mark copy emails with [COPY] in subject
    * ignore SpamBayes check of email open tracking pixel
    * update mailbeez_check.php
    * Framework enhancements    
1. [](#bugfix)
    * fixed issue of shoprating module, V4.06
    * fixed tracking (open,...) of copy emails


### v3.3.5
#### 02.03.2016

1. [](#new)
    * Support for Zencart 1.5.5
1. [](#improved)
    * Framework enhancements
    * fixed typo
    * PHP5.6 compatibility
    * support for MariaDB
    * support for custom BeezDesk Insight hooks: MAILBEEZ_INSIGHT_CUSTOM_PAGES can be defined in e.g. /mailhive/common/local/cfg.php
1. [](#bugfix)
    * correct order value bar calculation in beez-o-graph



### v3.3.4b
#### 03.11.2015

1. [](#new)
    * automatic delete entries older than 30days from mailbeez_event_log table

### v3.3.4
#### 03.11.2015

1. [](#improved)
    * Cache Garbage Collection to avoid issues with backup procedure when updating
    

### v3.3.3
#### 30.10.2015

1. [](#improved)
    * Gambio 2.5 integration
1. [](#bugfix)
    * fixed layout issue of CRM Pad
    * fixed issue with _VALID_XTC and some modules
    * showing correct language on opt-out page
    * fixed missing icons in context view buttons 
    

### v3.3.2
#### 22.10.2015

1. [](#improved)
    * support for new newsfeed of relaunched website
1. [](#bugfix)
    * fixed layout issue of CRM Pad
    * fixed issue Gambio Menu include
    
### v3.3.1
#### 21.10.2015

1. [](#improved)
    * remove outdated core version notifications
1. [](#bugfix)
    * fixed issue Gambio Menu include (thanks to Thomas M.)
    
### v3.3.0
#### 21.10.2015

1. [](#new)
    * Gambio 2.5 Admin compatiblity
    * using new version check through MailBeez API
1. [](#improved)
    * PHP5.6 compatiblity
    * automatically remove previous core version check notifications
    * osc_sendEmail added Return-Path (thanks to Dan C.)
    * preparations for new documentation website
    * enhanced config_shopvoting.php to support Gambio updates
1. [](#bugfix)
    * fixed issues with config_tour


### v3.2.4
#### 24.09.2015
  
1. [](#improved)
    * PHP5.6 compatiblity  
    * framework enhancements
1. [](#bugfix)
    * fixed weired issue with Pclzip / digits.png
    * fixed issue with _VALID_XTC in shop context
    

### v3.2.3
#### 07.09.2015
  
1. [](#improved)
    * PHP5.6 compatiblity  
1. [](#bugfix)
    * fixed smarty 2 compatibility issue
    
    
### v3.2.2
#### 02.09.2015
  
1. [](#bugfix)
    * fixed PHP5.2 / 5.4 compatibility
    

### v3.2.1
#### 25.08.2015

1. [](#improved)
    * migrated to new html2text version for PHP5.6
3. [](#bugfix)
    * added PHP5.2 backwards compatibility fix
    * framework improvements
    * fixed smarty issue on Gambio
    
### v3.2.0
#### 18.08.2015

1. [](#improved)
    * PHP5.6 compatiblity

### v3.1.2
#### 11.08.2015

1. [](#new)
    * support for custom email main templates to avoide overwriting with updates  
 (default\_email.html.tpl will be overwritten -> rename into email.html.tpl)
1. [](#improved)
    * framework refactoring for using constants
    * shopvoting 4.03
3. [](#bugfix)
    * related to shopvoting module

### v3.1.1
#### 02.07.2015

1. [](#improved)
    * shopvoting 4.01
3. [](#bugfix)
    * related to shopvoting module

### v3.1.0
#### 29.06.2015

1. [](#improved)  
    * integrated api framework config\_api
    * shopvoting 4.0 responsive
3. [](#bugfix)
    * removed php shorttag 

### v3.0.2a
#### 25.06.2015

1. [](#new)
    * integrated api framework config\_api
3. [](#bugfix)
    * fixed coupon value count query

### v3.0.2a
#### 16.06.2015

1. [](#new)
    * support for profiling engine
3. [](#bugfix)
    * fixed issue with cache gc loop

### v3.0.1
#### 11.06.2015

1. [](#improved)
    * dashboard loading and caching
3. [](#bugfix)
    * tour on gambio 2.3

### v3.0.0
#### 11.06.2015

1. [](#new)
    * MailBeez Tour
    * Newsletter2Go bouncehandling
1. [](#improved)
    * Modified-Shop 2.0 ready
    * framework enhancements
    * template based customizable opt-out page (DE/EN)
    * Dashboard Ajax widgets with caching to improve loading times

### v2.9.9-7
#### 29.05.2015

1. [](#new)
    * introduction of system status bar showing relevant number of customers
    * tour alpha / hopscotch
1. [](#improved)
    * exclude @marketplace.amazon customer from beeing counted for subscription
    * framework enhancements
3. [](#bugfix)
    * shoprating bug when module was installed and main module installed

### v2.9.9-6
#### 06.05.2015

1. [](#improved)
    * shopvoting gambio compatibility improvements
3. [](#bugfix)
    * smarty 3 backwards compatiblity fix

### v2.9.9-6
#### 30.04.2015

1. [](#improved)
    * Gambio 2.3 Integration ready
3. [](#bugfix)
    * Newsletter2Go SenderName
    * typos

### v2.9.9-5
#### 01.04.2015

1. [](#improved)
    * shopvoting V3.58
3. [](#bugfix)
    * fixed issue with SSL

### v2.9.9-4
#### 25.03.2015

1. [](#improved)
    * improved EN language string in shopvoting module
    * support for osc2.3.3 config cache addon
3. [](#bugfix)
    * fixed check block query bug
    * fixed zencart bug with shopvoting module

### v2.9.9-3
#### 23.03.2015

1. [](#improved)
    * allover performance improvements
    * improved caching for apps.mailbeez.com API
    * improved commerce-seo compatiblity
    * improved Gambio Integration
    * improved customer insight V2.71
    * shopvoting V3.57
    * framework enhancements
3. [](#bugfix)
    * removed PHP5.4 warning
    * fixed bug when testing PHPMailer SMTP

### v2.9.9
#### 10.02.2015

1. [](#new)
    * added support for commerce-seo 2.1
    * added UTF-8 support (Gambio 2.1, osCommerce 2.3.4)
    * added missing language constants for Gambio 2.1
1. [](#improved)
    * improved clicktracker integration instructions
    * added shoprating module latest version
3. [](#bugfix)
    * fixed issues with throttling
    * fixed typos
    * fixed PHP5.2 compatibility bug in cloudbeez api

### v2.9.8-7
#### 05.01.2015



1. [](#improved)
    * renamed cloudbeez.com > apps.mailbeez.com
    * newsletter2go integration set up through api
3. [](#bugfix)
    * fixed issues with Gambio userclasses
    * fixed visual bug in statsbar

### v2.9.8-6
#### 15.12.2014

1. [](#new)
    * added garbage collection for mailbeez\_process

### v2.9.8-5
#### 12.12.2014

1. [](#improved)    
    * framework enhancements
3. [](#bugfix)
    * fixed session cache issue

### v2.9.8-4
#### 02.12.2014

3. [](#bugfix)
    * fixed compatibility with PHP5.2

### v2.9.8-3
#### 02.12.2014

1. [](#improved)
    * improved newsletter2go integration (UTF-8 support)
3. [](#bugfix)
    * several

### v2.9.8-2
#### 26.11.2014

3. [](#bugfix)
    * several

### v2.9.8-2
#### 25.11.2014

3. [](#bugfix)
    * mh\_smarty\_fetch() compatibility with older versions of e.g. list\_engine

### v2.9.8-1
#### 20.11.2014

3. [](#bugfix)
    * handling of CURL connection issues

### v2.9.8
#### 20.11.2014


1. [](#new)
    * warning when PHP5.4
1. [](#improved)
    * check to avoid sending empty emails on PHP5.4
    * added smarty 3 as default template engine, compatibility with smarty 2.6
    * ready for cloudbeez.com beta testing
3. [](#bugfix)
    * fixed STRICT warnings
    * removed duplicate GambioGX2 overload /user\_classes/overloads/ApplicationTopExtenderComponent/MailBeezAnalyticsClicktracker.inc.php

### v2.9.7-3
#### 02.10.2014

3. [](#bugfix)
    * fixed issue with installer on zencart

### v2.9.7-2
#### 20.09.2014

3. [](#bugfix)
    * fixed issue causing the email engine setting was reset

### v2.9.7-1
#### 20.09.2014

1. [](#improved)
    * improved versioncheck notifications
3. [](#bugfix)
    * fixed query issue of data quality check

### v2.9.7
#### 19.09.2014

1. [](#new)
    * added integration with Newsletter2Go
    * added DB query watchdog to automatically kill processes after 60s (configurable)
    * integrated cloudloader installer and updater
    * added data quality widget
    * allow overrides for $GLOBALS['mh\_template\_replace\_variables\_common']
1. [](#improved)
    * improved customer insight order handling
    * improved notification system
3. [](#bugfix)
    * fixed bug with clicktracker

### v2.9.6
#### 01.09.2014

silent release

1. [](#new)
    * enable filterbeez to add preview-content in visual editor
    * added check for “DOMDocument” to system check
    * updated jquery flot, jquery timeago
    * fixed warning in kcfinder integration
    * Framework enhancements, preparing for cloudloader
1. [](#improved)
    * improved Beez-O-Graph to show ordervalue per day
    * improved version check
3. [](#bugfix)
    * classloader warning

### v2.9.5
#### 17.02.2014

3. [](#bugfix)
    * fixed analytics bar division by 0 error
    * fixed image path error

### v2.9.4
#### 15.02.2014

1. [](#new)
    * admin menu plugin for osCommerce 2.3.3.x
1. [](#improved)
    * improved mobile statistics
    * improved Commerce:SEO compatibility
    * improved template engine for upcoming integrations
    * framework enhancements
    * new simplified update procedure
3. [](#bugfix)
    * fixed compatiblity with Gambio GX1

### v2.9.3
#### 23.01.2014

1. [](#new)
    * commerce SEO V2Next compatibility
    * support for ZenCart 1.5.2RC (mysqli)
    * smarty 3.1 support
1. [](#improved)
    * framework enhancements
    * improve html code parsing for Outlook compatibility (width and heights attributes are added if dimensions were given only in style attribute)
    * improved CRE Loaded 6.x compatibility
3. [](#bugfix)
    * fixed included birthday module

### v2.9.2
#### 04.12.2013

1. [](#new)
    * added delivered stats (requires bouncehive installed to handled bounces)
3. [](#bugfix)
    * fixed errors of level notice where constants not have been defined
    * fixed a bug that prevented the installation of mailbeez when the beezdesk crm customer insight module was already in the fileset

### v2.9.1
#### 20.11.2013

1. [](#improved)
    * one bug down
3. [](#bugfix)
    * fixed a bug with the “run module” button

### v2.9
#### 20.11.2013

Same as V2.8.10 – but fixing issue with version number

### v2.8.10
#### 19.11.2013

1. [](#new)
    * added {$module\_code} template variable
1. [](#improved)
    * compatibility improvements with responsive template manager
    * improved MailBeez Analytics summary to recognise Simulation/Production mode
    * improved support for https
3. [](#bugfix)
    * fixed bug that prevented updating modules (, / . version number)
    * fixed bug that caused layout incompatibility with Outlook
    * fixed installation hint for mouseflow integration
 


### v2.8.9
#### 30.10.2013

3. [](#bugfix)
    * fixed bug that prevented tracking of email opens
    * fixed bug that prevented MailBeez from updating itself
 

### v2.8.8
#### 30.10.2013

1. [](#new)
    * added suhosin compatibility fix (/mailhive/common/local/suhosin\_compatibility.php )
1. [](#improved)
    * improved compatibility with Gambio

### v2.8.7
#### 29.10.2013

1. [](#improved)
    * improved framework
3. [](#bugfix)
    * fixed an issue with mixing ssl, nonssl requests and servers with configure x-frame-options

### v2.8.6
#### 25.10.2013

1. [](#new)
    * enhanced MailBeez Analytics to analyse and report Email openings on mobile devices
    * automatically generate txt version from html email if txt template is empty
1. [](#improved)
    * improved framework

### v2.8.5
#### 20.10.2013

1. [](#new)
    * added support for upcoming pro features (visual editor, responsive emails, mobile preview)
    * dropped support for mailbeez 1.x template variables like “$firstname” (since 2.x {$firstname} )
1. [](#improved)
    * improved support for https in clicktracker
    * enhanced main template
    * several framework enhancements for improved performance and support for upcoming premium features
3. [](#bugfix)
    * fixed issue with clicktracker url rewrites
    * fixed character issues in dashboard news widget


### v2.8.0
#### 14.08.2013

1. [](#new)
    * added MailBeez Analytics Summary View on Dashboard
    * BeezDesk CRM ready
1. [](#improved)
    * improved clicktracker to support rewritten urls
    * improved clicktracker order tracking
    * Framework improvements: integrated firelogger / firephp support, systemcheck
    * added SQL\_NO\_CACHE to check queries
    * improved email engine
    * improved template engine to remove UTF-8 BOM and marker character in input, if present.
    * added DB index to improve performance
3. [](#bugfix)
    * fixed minor codeing errors
    * fixed zencart 1.5 compatibility issue
    * fixed issue with currencies class support
 


### v2.7.5
#### 12.03.2013

1. [](#improved)
    * improved version check (performance, more meaningful messages)
3. [](#bugfix)
    * Google Analytics Dashboard Widget: fixed installation routine
    * Google Analytics Dashboard Widget: remove error when there is not data


### v2.7.4
#### 22.02.2013

1. [](#new)
    * added PHPMailer Debug setting
    * added PHPMailer txt wordwrap configuration setting
    * added option to disable stylesheet to inline CSS conversion (requires PHP5)
    * added option to control PHP Memory Limit (if possible to set)
    * added option to control PHP Process time Limit (if possible to set)
    * added option to control PHP Ignore User Abort
    * added check for inconsistent order db
    * added support for modified-shop
1. [](#improved)
    * improved Email Encoding handling (automatic detection / manual setting / adopted main template)
3. [](#bugfix)
    * fixed icon path in admin which could cause php errorlog entries
    * fixed error where $request\_profiler is not defined

For updating Versiones before 2.7.2 please apply the upgrade pack for MailBeez V2.5.  
For updating Versions 2.7.2 and 2.7.3 please apply the upgrade pack for MailBeez 2.7.2

### v2.7.3
#### 17.01.2013

1. [](#new)
    * allocated memory is shown in browser title when running mailhive.php manually
1. [](#improved)
    * Framework improvements for future features
3. [](#bugfix)
    * removed warnings
    * fixed issues with check method
    * fixed admin SSL issue
    * strip html tags from subject

For updating please apply the upgrade pack for MailBeez V2.5 (even if you are running MailBeez V2.7.x)

### v2.7.2 IMPORTANT
#### 14.12.2012

1. [](#new)
    * support for Holbi Trueloaded oscommerce fork
1. [](#improved)
    * Framework improvements for future features
3. [](#bugfix)
    * **IMPORTANT:** fixed high memory usage
    * fixed module incompatibilities

For updating please apply the upgrade pack for MailBeez V2.5 (even if you are running MailBeez V2.7.x)

### v2.7.1
#### 06.12.2012

1. [](#new)
    * json support for servers w/o json extension
    * warning for incompatible modules
1. [](#improved)
    * localization of documentation and update links (www.mailbeez.de for german users)
3. [](#bugfix)
    * module incompatibilities

For updating please apply the upgrade pack for MailBeez V2.5 (even if you are running MailBeez V2.6.x)

### v2.7.0
#### 30.11.2012

1. [](#new)
    * generic UTF-8 encoding for email content & subject
    * added option to control UTF-8 encoding of subject
    * automatic literal-tags are added for stylesheets
    * added Emogrifier class to convert CSS to inline styles http://www.pelagodesign.com/sidecar/emogrifier/
    * added support for editor shortcodes for visual template editor
    * enhanced email engine to support custom message-ids
    * sending process does not stop on user abort
    * Gambio Menu xml Plugin
1. [](#improved)
    * improved html basic template with http://htmlemailboilerplate.com/
    * general framework enhancements (added fineuploader, ckeditor, kcfinder, codemirror, jquery-easyui)
3. [](#bugfix)
    * Bugfix Clicktracker – openings not captured
    * fixed issues with installation of dashboard modules
    * fixed issues with filter loader
    * fixed issues with email validation on PHP 4
    * fixed issues with bouncehandling
    * fixed issues with Google Analytics Dashboard Widget

For updating please apply the upgrade pack for MailBeez V2.5 (even if you are running MailBeez V2.6.x)

### v2.6.5
#### 05.09.2012

1. [](#new)
    * PHP Mailer default Chartset UTF-8
    * added index to tracking table (automatically)
1. [](#improved)
    * improved compatibility of PHPMailer
    * improved handling of invalid email addresses w/o stopping PHPMailer
    * improved support for SSL
    * improved english wording (thanks to kelly)
3. [](#bugfix)
    * bugfix for error on Dashboard
    * Respect the “Send copy” setting in simulation mode
    * iteration check bugfix
    * bugfix for config\_cron\_simple support
    * bugfix for WP Online Store support
    * bugfix for clearing template\_c directory, which have cause that emails did not show latest changes

For updating please apply the upgrade pack for MailBeez V2.5 (even if you are running MailBeez V2.6.x)

### v2.6.2
#### 09.05.2012

3. [](#bugfix)
    * setting PHPMailer as email engine caused an error when [Bounce Handling](/documentation/configbeez/config_bouncehive_advanced/) is not installed (will be officially released soon)
    * fixed an incompatibility with the newsletter module

For updating please apply the upgrade pack for MailBeez V2.5 (even if you are running MailBeez V2.6 or V2.6.1)

### v2.6.1
#### 08.05.2012

3. [](#bugfix)
    * on some carts HEADING\_TITLE was overwritten by MailBeez – fixed
    * Mouseflow include caused an error – fixed
    * added MailBeez Analytics includes for CRE Loaded / LoadedCommerce and Zen-Cart

For updating please apply the upgrade pack for MailBeez V2.5

### v2.6
#### 05.05.2012

MailBeez Version 2.6 is a major release with many improvements:

1. [](#new)
    * MailBeez Analytics for tracking of open / click / purchases
    * Enhanced Beez-O-Graph with pop-ups
    * Google Analytics Dashboard Integration: see how GA tracks MailBeez Campaigns
    * Google Analytics URL rewrites in txt format (configurable)
    * Optional Bounce Handling (hard/soft bounces)
    * Integrated Email Engine with DKIM support (requires PHP5)
    * Email validation (PHP5) – no more stops with invalid email addresses
    * Spam Compliance built-in (newsletter check / opt-out behaviour)
    * Control for opt-out link behaviour: Global or module
    * restart simulation from any page
    * Framework 1. [](#new), performance
    * Mouseflow Integration pre-installed (find a coupon for 500 credits in the admin)
    * [Mouseflow Integration](http://www.mailbeez.com/documentation/configbeez/config_mouseflow/ "Mouseflow") pre-installed (find a coupon for 500 credits in the MailBeez configuration module)
    * Compatibility with WP Online Store for WordPress
    * Compatibility with SEO Mercari
1. [](#improved)
    * enhanced certificate management for premium modules
    * PHP5.3 ready
3. [](#bugfix)
    * In Simulation Mode the “send test email” function did not accept the entered email address, but sent always to the configured copy-to / simulation-to email
    * Opt-Out links now contain the mode: Before the an opt-out coming from a production email was counted as simulation opt-out when MailBeez was switched back into simulation mode
    * minor bugs

### v2.5
#### 01.02.2012

1. [](#new)
    * Compatibility with ZenCart 1.5.0

### v2.5
#### 10.09.2011

1. [](#new)
    * “un-block” feature – customers can unblock in case of mistake
    * “Kill Process” Button to stop long sending processes in case of mistake (configuration > process control)
    * Status-Indicator production / simulation
    * new default layout, 600px width
    * ZenCart: option to override Zencarts email template system to give full layout control to MailBeez
    * ZenCart: With using Zencarts email templates the system tries to use email/email\_template\_mailbeez.html. If that does not exist, the email\_template\_default.html is applied
    * Support for CRE 6.2 (not tested)
    * Support for commerce:SEO
    * Copyright Footer, remove with [MailBeez Copyright Remover Certificate](http://www.mailbeez.com/documentation/configbeez/config_copyright_remover/ "MailBeez Copyright Remover Certificate")
1. [](#improved)
    * generic framework enhancements
    * design improvements and new icons
3. [](#bugfix)
    * option to try to fix “double-dot” bug (configuration > email engine)

### v2.4
#### 25.08.2011

3. [](#bugfix)
    * Bugfix-Release

### v2.3
#### 11.08.2011

1. [](#new)
    * Winback-O-Meter shows the rate of sent Winback Emails to resulting Orders
    * Beez-O-Graph shows recent statistics for Emails sent and opt-outs
    * Dashboard Layout Improvements (thanks to Pete)
3. [](#bugfix)
    * avoiding process locking when sending test emails

### v2.2
#### 02.08.2011

1. [](#new)
    * MailBeez Process Control – avoids overlapping mailhive processes (technical)
    * support of complex modules (expand / collapse)
    * review-o-meter: shows rate of reviews : customers on dashboard
    * Support for oscMax 2.5 and Gambio Gx 2
1. [](#improved)
    * technical framework enhancements (functionality, performance, refactoring)
    * improvements of the admin interface (translation & layout of common buttons)
3. [](#bugfix)
    * many minor bugs…

### v2.1
#### 29.04.2011

1. [](#new)
    * inline version checker (requires CURL)
    * new external version checker in popup
1. [](#improved)
    * technical framework enhancements (functionality, performance, refactoring)
    * improvements of the admin interface
    * moved “configuration” tab
    * “Filter”-tab renamed into “Filter & Helper”
3. [](#bugfix)
    * opt-url is now “URL rewriter save”
    * many minor bugs…

### v2.02
#### 09.02.2011

3. [](#bugfix)
    * installation failure due to configuration caching

### v2.01
#### 08.02.2011

3. [](#bugfix)
    * compatibility with 1.x template format in subject templates “$firstname $lastname” was not replaced

### v2.0
#### 02.02.2011

1. [](#new)
    * Tabbed admin interface with Dashboard, Reports, Filters - Reports - Event log Viewer: see, when mailhive was called
    * Tracking log Viewer: see a list of sent emails
    * Opt-out Viewer: see a list how has opt-out
    * Filters - optional: newsletter subscribers only
    * support for customer made filters
    * multi language support for admin interface (EN, DE included)
    * Platform support for osCommerce 2.3
    * Smarty.net Template engine (smarty 2 included, compatible with smarty 3)
    * automatic upgrade w/o need to remove modules
    * Configurable “Medium” and “Source” for Google Analytics integration
    * Advanced Simulations: - Tracking of Sendings in Simulation Mode
    * Opt-Outs in Simulation Mode
    * Simulations are marked with [SIM]
    * Event-Logger
    * Validation check of data (in some cases e.g. email adress is missing, which caused the module to stop)
    * Configurable early check: choose yourself if you would like to see how already got the email
    * Check-Box options in modules
    * silent mode for mailhive.php: add “&silent=true” to url to oppress output e.g. for cronjob
3. [](#bugfix)
    * Date calculation works now for negative number of days
    * zencart: no more session id in emails
    * zencart: fixed 404 when sending a test email due to session-id added

### v1.7
#### 16.09.2010

1. [](#new)
    * added new functions used by latest version of modules
    * Platform support for DigiStore
3. [](#bugfix)
    * Path settings

### v1.6a - silent update, no new version
#### 15.09.2010

3. [](#bugfix)
    * ZenCart: CeeBox Popups didn’t work any longer (late nights…)

### v1.6
#### 13.09.2010

1. [](#new)
    * Google Analytics now active by default for all modules
    * Platform support for osCMax, xtc-modified and Gambio GX
3. [](#bugfix)
    * fixed Image-Path for ZenCart
    * mailhive.php: disabled GZIP for ZenCart (cause for “white popups” issue)
    * mailhive.php: set error-output for ZenCart (ZenCart disables all error messages….)

### v1.5
#### 02.09.2010

1. [](#new)
    * opt-out/block feature for emails
    * build-in update reminder
    * Zen-Cart: “drop-in” installation without modifying any files!

### v1.4
#### 20.08.2010

1. [](#new)
    * Google Analytics Integration – track MailBeez in GA
    * CeeBox Popups can be disabled in case of compatibility issues

### v1.3
#### 26.07.2010

3. [](#bugfix)
    * zencart table prefix now in installation (thanks to [alray10(http://www.zen-cart.com/forum/showthread.php?t=158085))
    * zencart, xtcommerce simulate DIR\_WS\_HTTP\_CATALOG (thanks to [BeautyHealth.com.cy](http://www.zen-cart.com/forum/showthread.php?t=158085&page=2))
1. [](#new)
    * $storename, $storeurl now global replacements

### v1.2
#### 21.06.2010

1. [](#new)
    * support of SSL in admin (otherwise CeeBox popups are emtpy
    * set new doctype in admin/mailbeez.php to avoid issues with CeeBox in MS IE

### v1.1a
#### 28.05.2010

1. [](#new)
    * config cache cleaner in admin module added

### v1.1
#### 27.05.2010

1. [](#new)
    * initial Version of MailBeez

### v1.0 - productive Prototype
#### 20.01.2010 

1. [](#new)
    * First Automatic Trigger Email Campaign sent