<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html {$HTML_PARAMS}>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset={$SESSION_CHARSET}"/>
    <title>{$TITLE}</title>
    {capture name='MH_POP_EXCLUDE_SHOPCSS'}{mh_cfg key='MH_POP_EXCLUDE_SHOPCSS'}{/capture}
    {capture name='MH_POP_EXCLUDE_MAINCSS'}{mh_cfg key='MH_POP_EXCLUDE_SHOPCSS'}{/capture}
    {capture name='MH_POP_EXCLUDE_MAINSTYLE'}{mh_cfg key='MH_POP_EXCLUDE_SHOPCSS'}{/capture}

    {if !$smarty.capture.MH_POP_EXCLUDE_SHOPCSS}
        <link rel="stylesheet" type="text/css"
              href="{$MH_ADMIN_CSS_PATH}{$MH_ADMIN_CSS_DIR}stylesheet.css?ver={$MAILBEEZ_VERSION}"/>
    {/if}
    {if !$smarty.capture.MH_POP_EXCLUDE_MAINCSS}
        <link rel="stylesheet" type="text/css" media="print, projection, screen"
              href="{$MH_CATALOG_URL}{$MH_ROOT_PATH}common/common.css?ver={$MAILBEEZ_VERSION}">
    {/if}
    {if !$smarty.capture.MH_POP_EXCLUDE_MAINSTYLE}
        <style>
            {literal}
            * {
                font-family: Arial, Helvetica;
                font-size: 12px;
                color: #000;
            }

            h1 {
                font-family: Arial, Helvetica;
                font-size: 14px;
            }

            body {
                margin: 0;
                width: 100%;
                background: none;
            }

            input.button {
                display: inline-block;
                min-width: 120px;
                width: auto;
            }

            {/literal}
        </style>
    {/if}
    {capture name='MH_POP_EXCLUDE_COMMONLIBS'}{mh_cfg key='MH_POP_EXCLUDE_COMMONLIBS'}{/capture}
    {if !$smarty.capture.MH_POP_EXCLUDE_COMMONLIBS}
        <script language="javascript"
                src="{$MH_ADMIN_CSS_PATH}{$MH_ADMIN_JS_DIR}general.js?ver={$MAILBEEZ_VERSION}"></script>
        <script language="javascript"
                src="{$MH_CATALOG_URL}{$MH_ROOT_PATH}common/js/jquery-1.11.3.min.js?ver={$MAILBEEZ_VERSION}"></script>
        <script src="{$MH_CATALOG_URL}{$MH_ROOT_PATH}common/js/jquery-migrate-1.4.1.js"></script>
        <script language="javascript"
                src="{$MH_CATALOG_URL}{$MH_ROOT_PATH}common/js/jquery.tools.min-1.2.7.js?ver={$MAILBEEZ_VERSION}"></script>
        <script language="javascript"
                src="{$MH_CATALOG_URL}{$MH_ROOT_PATH}common/js/ceebox/js/jquery.ceebox.min.js?ver={$MAILBEEZ_VERSION}"></script>
        {include file="main_common_js.tpl"}
        {include file="main_common_ceebox.tpl"}
        <link rel="stylesheet" type="text/css"
              href="{$MH_CATALOG_URL}{$MH_ROOT_PATH}common/js/ceebox/css/ceebox_mh.css?ver={$MAILBEEZ_VERSION}"/>
        <link rel="stylesheet" type="text/css"
              href="{$MH_CATALOG_URL}{$MH_ROOT_PATH}common/css/font-awesome/css/font-awesome.min.css?ver={$MAILBEEZ_VERSION}"/>

    {capture name='MH_PLATFORM_XTCM'}{mh_cfg key='MH_PLATFORM_XTCM'}{/capture}
    {capture name='MH_PLATFORM_XTC_XTCM_VERSION'}{mh_cfg key='MH_PLATFORM_XTC_XTCM_VERSION'}{/capture}

    {if $smarty.capture.MH_PLATFORM_XTCM  && $smarty.capture.MH_PLATFORM_XTC_XTCM_VERSION == 2 }
        {* only modified-shop 2.x*}
    <link rel="stylesheet" type="text/css" href="includes/css/sumoselect_mod.css?v=1468497250"/>
        <script type="text/javascript" src="includes/javascript/jquery.sumoselect_mod.js"></script>
    {literal}
        <script type="text/javascript">
            $(document).ready(function () {
                $('.SlectBox').not('.noStyling').SumoSelect({createElems: 'mod', placeholder: '-'});
                $('.disableInputField').val('');
                $('.fileInput').change(function () {
                    var basename_val = $(this).val().split(/[\\/]/).pop();
                    $('#finput_' + $(this).attr('id')).val(basename_val);
                });
            });
        </script>
    {/literal}
    {/if}
    {capture name='MH_POP_INCLUDE_BOOTSTRAP'}{mh_cfg key='MH_POP_INCLUDE_BOOTSTRAP'}{/capture}
    {if $smarty.capture.MH_POP_INCLUDE_BOOTSTRAP}
    <link rel="stylesheet" type="text/css"
          href="{$MH_CATALOG_URL}{$MH_ROOT_PATH}common/vendor/bootstrap/css/bootstrap.min.css?ver={$MAILBEEZ_VERSION}"/>
    <link rel="stylesheet" type="text/css"
          href="{$MH_CATALOG_URL}{$MH_ROOT_PATH}common/vendor/bootstrap/css/bootstrap.vertical-tabs.min.css?ver={$MAILBEEZ_VERSION}"/>
        <script language="javascript"
                src="{$MH_CATALOG_URL}{$MH_ROOT_PATH}common/vendor/bootstrap/js/bootstrap.min.js?ver={$MAILBEEZ_VERSION}"></script>
    {/if}
        <link rel="stylesheet" type="text/css"
              href="{$MH_CATALOG_URL}{$MH_ROOT_PATH}common/admin_application_plugins/common.css?ver={$MAILBEEZ_VERSION}">
    {/if}
    {if $smarty.capture.MH_POP_INCLUDE_BOOTSTRAP}
    {literal}
        <style>
            .container-fluid * .row {
                margin-left: 0 !important;
                margin-right: 0 !important;
            }

            .mailbeez_action_bar {
                background-color: #f5f5f5;
                border-radius: 4px;
                margin-bottom: 20px;
                margin-top: 10px;
                padding-top: 8px;
                padding-bottom: 8px;

            }

            .mailbeez_action_bar_title {
                padding-left: 0px;
            }

        </style>
    {/literal}
    {/if}
    {literal}
        <script type="text/javascript">
            function scrolldown() {
                var a = document.anchors.length;
                var b = document.anchors[a - 1];
                var y = b.offsetTop;
                window.scrollTo(0, y + 120);
            }
        </script>
    {/literal}

</head>
<body bgcolor="#FFFFFF">
<a name="top"></a>
{$MAILBEEZ_MAIN_CONTENT}


</body>
</html>